Loading...
Searching...
No Matches
NanoToOpenVDB.h File Reference

This class will deserialize an NanoVDB grid into an OpenVDB grid. More...

`#include <nanovdb/NanoVDB.h>`
`#include <nanovdb/util/GridHandle.h>`
`#include "ForEach.h"`
`#include <openvdb/openvdb.h>`

Go to the source code of this file.

## Classes

struct | ConvertTrait< T >
struct | ConvertTrait< nanovdb::Vec3< T > >
struct | ConvertTrait< nanovdb::Vec4< T > >
struct | ConvertTrait< nanovdb::Fp4 >
struct | ConvertTrait< nanovdb::Fp8 >
struct | ConvertTrait< nanovdb::Fp16 >
struct | ConvertTrait< nanovdb::FpN >
struct | ConvertTrait< nanovdb::ValueMask >
class | NanoToOpenVDB< NanoBuildT >
| This class will serialize an OpenVDB grid into a NanoVDB grid managed by a GridHandle. More...

## Namespaces

namespace | nanovdb
| Convert a base-pointer to an openvdb grid, denoted srcGrid, to a nanovdb grid of the same type, e.g. float -> float or openvdb::Vec3f -> nanovdb::Vec3f.

## Macros

#define | NANOVDB_NANOTOOPENVDB_H_HAS_BEEN_INCLUDED

## Functions

template<typename NanoBuildT >
openvdb::Grid< typenameopenvdb::tree::Tree4< typenameConvertTrait< NanoBuildT >::Type >::Type >::Ptr | nanoToOpenVDB (const NanoGrid< NanoBuildT > &grid, int verbose=0)
| Forward declaration of free-standing function that de-serializes a typed NanoVDB grid into an OpenVDB Grid.
template<typename BufferT >
openvdb::GridBase::Ptr | nanoToOpenVDB (const GridHandle< BufferT > &handle, int verbose=0, uint32_t n=0)
| Forward declaration of free-standing function that de-serializes a NanoVDB GridHandle into an OpenVDB GridBase.

## Detailed Description

This class will deserialize an NanoVDB grid into an OpenVDB grid.

Author
  Ken Museth

Date
  May 6, 2020

## Macro Definition Documentation

## NANOVDB_NANOTOOPENVDB_H_HAS_BEEN_INCLUDED

#define NANOVDB_NANOTOOPENVDB_H_HAS_BEEN_INCLUDED